---
- name: Init | Selective fact gathering
  setup:
  when: ansible_default_ipv4 is not defined
  check_mode: no
  failed_when: no
  tags: always

- name: Init | Include OS-specific variables
  include_vars: "{{ item }}"
  with_first_found:
    - "{{ ansible_distribution }}{{ ansible_distribution_major_version }}.yml"
    - "{{ ansible_distribution }}.yml"
    - "{{ ansible_os_family }}.yml"
  tags: always

- name: Init | Include OS-specific tasks
  include_tasks: "{{ item }}"
  with_first_found:
    - "OS/{{ ansible_distribution }}{{ ansible_distribution_major_version }}.yml"
    - "OS/{{ ansible_distribution }}.yml"
    - "OS/{{ ansible_os_family }}.yml"
    - "OS/Default.yml"    
  tags: always



